> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/inquirypriceresizedisk.md).

# InquiryPriceResizeDisk

## 1. 接口描述

本接口(InquiryPriceResizeDisk)用于查询云硬盘扩容后的新价格。

{% hint style="info" %}
**注意事项**

* 目标大小需大于等于当前云硬盘大小
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称     | 必选 | 类型      | 描述                                                         |
| -------- | -- | ------- | ---------------------------------------------------------- |
| diskId   | 是  | String  | 云硬盘ID。                                                     |
| diskSize | 是  | Integer | <p>云硬盘扩容后的目标大小。</p><p>单位：GiB。</p><p>可选值范围：\[20, 20000]</p> |

## 3. 响应结果

| 参数名称      | 类型                                                                          | 描述                                                         |
| --------- | --------------------------------------------------------------------------- | ---------------------------------------------------------- |
| requestId | String                                                                      | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p>   |
| diskPrice | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem)       | 扩容后云硬盘的价格。                                                 |
| specPrice | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem)       | <p>系统盘扩容时，对应实例的规格价格。</p><p>仅当云硬盘为系统盘且实例类型为 VM 时返回。</p>     |
| gpuPrice  | [PriceItem](/api-reference/cn/compute/zec/datastructure.md#priceitem)       | <p>系统盘扩容时，对应实例的 GPU 价格。</p><p>仅当云硬盘为系统盘且实例类型为 GPU 时返回。</p> |
| diskPerf  | [DiskPerfItem](/api-reference/cn/compute/zec/datastructure.md#diskperfitem) | 扩容后云硬盘的性能配置信息。                                             |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**查询将云硬盘扩容至 500 GiB 后的新价格与性能配置。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceResizeDisk
<Common Request Params>

Request：
{
  "diskId": "disk-xxx",
  "diskSize": 500
}

Response：
{
  "requestId": "T12345678-A123-4B5C-DE67-8F9G01234567",
  "response": {
    "requestId": "T12345678-A123-4B5C-DE67-8F9G01234567",
    "diskPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.138,
      "discountUnitPrice": 0.138,
      "chargeUnit": "HOUR",
      "stepPrices": null
    },
    "specPrice": null,
    "gpuPrice": null,
    "diskPerf": {
      "maxIops": 25000,
      "maxBandwidth": 350,
      "iopsBurst": 50000,
      "bandwidthBurst": 700
    }
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                               | 说明                 |
| ------- | --------------------------------- | ------------------ |
| 404     | INVALID\_DISK\_NOT\_FOUND         | 云盘不存在。             |
| 400     | INVALID\_DISK\_SIZE\_PARAM\_ERROR | 云盘大小错误，必须大于当前云盘大小。 |
| 400     | INVALID\_DISK\_SIZE\_MAX\_EXCEED  | 盘超过最大限制。           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/inquirypriceresizedisk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
